> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Parents



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse/parents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse/parents:
    post:
      tags:
        - Catalog Component Bulk Edit
      summary: Browse Parents
      operationId: CatalogComponentBulkEditController_browseParents_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComponentBrowseParentsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComponentBrowseParentsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ComponentBrowseParentsDto:
      type: object
      properties:
        componentId:
          type: string
        cursor:
          type: string
      required:
        - componentId
      additionalProperties: false
    ComponentBrowseParentsResponseDto:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        parents:
          type: array
          items:
            $ref: '#/components/schemas/ComponentBrowseParentDto'
        nextCursor:
          type: string
          nullable: true
      required:
        - schemaVersion
        - parents
        - nextCursor
    ComponentBrowseParentDto:
      type: object
      properties:
        itemId:
          type: string
        linkId:
          type: string
        id:
          type: string
        name:
          type: string
        referenceNumber:
          type: string
          nullable: true
      required:
        - itemId
        - linkId
        - id
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````